components/puppet/files/puppet_agent
branchs11-update
changeset 2629 3666f503c6e7
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/components/puppet/files/puppet_agent	Tue May 21 09:30:36 2013 -0600
@@ -0,0 +1,64 @@
+#!/usr/bin/ksh -p
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
+#
+
+# Load SMF constants and functions
+. /lib/svc/share/smf_include.sh
+
+# Establish PATH for non-built in commands
+export PATH=/usr/bin:/usr/sbin
+
+case "$1" in
+'start')
+	# handles startup of puppet agent
+
+	flags=""
+
+	#
+	# retrieve the server property.  If the variable is left
+	# empty, do not add the --server flag to the CLI
+	#
+	server=$(svcprop -p config/server $SMF_FMRI)
+	if [[ $? -eq 0 ]] && [[ "$server" != '' ]]; then
+		flags+=" --server $server"
+	fi
+
+	# retrieve the logfile property.
+	logdest=$(svcprop -p config/logdest $SMF_FMRI)
+	if [[ "$logdest" != '' ]]; then
+		flags+=" --logdest $logdest"
+	fi
+
+	cmd="puppet agent ${flags}"
+
+	exec $cmd
+
+	;;
+*)
+	echo "Usage: $0 { start }"
+	exit $SMF_EXIT_ERR_CONFIG
+	;;
+esac
+exit $SMF_EXIT_OK